> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get export request by ID

> Get the details of a specific export request by the corresponding `exportId` that was generated from the [initiate export request](/v2/api-reference/offers-v2/exports/initiate-export-request) endpoint.



## OpenAPI

````yaml offers_v2_combined get /api-offers/offers-exports/{exportId}
openapi: 3.0.0
info:
  title: Offers v2
  description: >-
    fabric's Offers APIs let you set up and manage stock keeping unit (SKU)
    prices. Its wide range of coupon and promotion features let you design
    discounts ranging from single-use, customer-specific coupons to site-wide
    promotions applicable for all SKUs.
  version: 2.0.0
  contact:
    email: support@fabric.inc
  license:
    url: https://fabric.inc/api-license
    name: fabric API license
servers:
  - url: https://live.copilot.fabric.inc
    description: Production
security:
  - AuthorizationToken: []
tags:
  - name: Price List
    description: >-
      Price list is a collection of items and their assigned prices. An item can
      exist in multiple price lists. This gives you the ability to assign
      different prices to the same item. Price lists let you set currency and
      duration of the prices. For example, if the price list expires, prices of
      items within the price list will also expire. You can configure the
      pricing API to include your default price. <br />When requesting pricelist
      of items or evaluating promotions, you should mention the price list ID
      that you want to use.
  - name: Pricing
    description: >-
      Pricing endpoints let you create and manage price details for one or many
      items. You can configure the pricing API to include your default price
      list in all requests.
  - name: Price Guard
    description: >-
      Price Guard allows you to create and manage more diversified price-kinds
      for the item, such as manufacturer recommended retail price (MSRP),
      minimum advertised price (MAP), floor price, ceiling price, clearance
      price,  and so on.  Price guard works as a protection mechanism against
      any further creation of prices for the item. These endpoints let you
      create and manage such price-kinds.
  - name: Price Kind
    description: >-
      Unlike price guard, price kind endpoint lets you get the fundamental price
      kinds (for example, base price and sale price) that are created while
      setting up the item information.
  - name: Promotion
    description: >-
      Promotion is a discount on an item, cart or shipping method based on set
      conditions. As promotions can be linked to specific price lists, it is
      important to submit the correct price list ID. Promotion endpoints let you
      create and manage discounts that will be applied to all customers' carts
      that meet the required conditions.
  - name: Coupon
    description: >-
      Coupon endpoints let you create and manage coupon codes that customers can
      enter at checkout to receive a discount.
  - name: Dynamic Pricing Engine
    description: >-
      fabric's Dynamic Pricing Engine APIs evaluate promotions and calculate
      prices instantly for the cart items using real-time price calculation
      method, that incorporates the latest information, to provide personalized
      and competitive prices for specific customers. It supports formula based
      custom SKU dynamic pricing, and shows discount breakdown details for
      separate items having separate promotions. It uses the cache information,
      instead of fetching offer details of items from database, to evaluate
      promotions and calculate prices instantly. It is fast, scalable to
      millions of pricing requests per day, and supports complex promotional
      strategies.
  - name: Global exclusion
    description: >-
      Global exclusions let you exclude SKUs from being discounted by active
      promotions. These endpoints let you manage those sku-lists.
  - name: Redemption
    description: Redemption endpoints let you manage the records of coupon redemptions.
  - name: Segment
    description: >-
      Segment endpoints let you target promotions at specific groups of
      customers by linking the promotion to a segment identifier. A customer
      segment is a group of customers that have been given a unique reference to
      easily identify them. They may be grouped in a number of ways such as
      demographics, locations, device type, and so on. fabric Offers supports
      the assignment of a customer segment to a promotion so that the promotion
      is applied only to a specific group of customers. You must enter your
      customer segment identifiers in the *Settings* of the Copilot application.
  - name: Upload price CSV
    description: This endpoint lets you bulk upload price details using a CSV file.
  - name: Product
    description: >-
      Product endpoint lets you get product and price information based on sku.
      Product information is retrieved from Product Catalog and price details
      are retrieved from Offers service.
  - name: Item
    description: >-
      Item endpoints let you get products and prices information based on
      itemId. Product information of an item is retrieved from Product Catalog
      and price details are retrieved from Offers service.
  - name: Attributes
    description: >-
      Attributes refer to a collection of attributes names and their values.
      Using attributes, you can group entities, such as products or shoppers,
      that share similar characteristics, such as dimension, age group,
      location, device type, and more. For example, the shopper segmentation can
      be used to tailor promotions to a specific customer segment by linking the
      promotion to the segment identifier.
  - name: Exports
    description: >-
      fabric Export endpoints let you export data to CSV files based on the
      provided filters.
externalDocs:
  description: Learn more about Offers
  url: https://developer.fabric.inc/docs/offers-overview
paths:
  /api-offers/offers-exports/{exportId}:
    get:
      tags:
        - Exports
      summary: Get export request by ID
      description: >-
        Get the details of a specific export request by the corresponding
        `exportId` that was generated from the [initiate export
        request](/v2/api-reference/offers-v2/exports/initiate-export-request)
        endpoint.
      operationId: getExportById
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: path
          name: exportId
          required: true
          description: >-
            The `exportId` value that was generated from the [initiate export
            request](/v2/api-reference/offers-v2/exports/initiate-export-request)
            endpoint.
          schema:
            type: string
            example: 1e7b9912-1d88-4412-9f25-ff4730eb14ce
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/createExportResponse'
                  - type: object
                    properties:
                      fileId:
                        type: string
                        description: >-
                          The S3 [fileId] to generate a downloadable CSV using
                          the [download exported CSV
                          file](/v2/api-reference/offers-v2/exports/download-exported-csv-file)
                          endpoint.
                        example: >-
                          redemption/tenantId/1687472977242-redemption-export.csv
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/exportNotFoundError'
                  - $ref: '#/components/schemas/error400'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error401'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error500'
      security:
        - AuthorizationToken: []
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    createExportResponse:
      type: object
      description: The sample response of the create export request.
      required:
        - exportId
        - startedAt
        - status
        - type
      properties:
        exportId:
          type: string
          description: >-
            The unique ID for the export request that is used to retrieve the
            export details.
          example: ab50fe48-5da0-4e77-92d1-bb629eedf19e
        startedAt:
          type: string
          description: The start time of the export process.
          example: '2023-05-17T21:24:52.398Z'
        endedAt:
          type: string
          description: The end time of the export process.
          example: 'null'
          nullable: true
        totalDataExported:
          type: number
          description: >-
            The total number of exported data in the csv file. Each row in the
            csv file represents one record of exported data.
          example: 0
        status:
          type: string
          description: >-
            The status of the export process. The [download exported CSV
            file](/v2/api-reference/offers-v2/exports/download-exported-csv-file)
            endpoint can generate a download URL only if the export status is
            `COMPLETED`.
          enum:
            - IN_PROGRESS
            - COMPLETED
            - ERROR
          example: IN_PROGRESS
        errors:
          type: array
          description: >-
            Errors during the export process. For more information about the
            error messages, see the [exporting
            CSV](/v2/api-reference/offers-v2/developer-guide/exporting-csv#export-calculated-price-error)
            section.
          example: []
          items:
            type: object
            properties:
              type:
                type: string
                description: The error code.
              message:
                type: string
                description: An error message corresponding to the `type`.
        type:
          type: string
          description: The type of data to export.
          example: REDEMPTION
        filters:
          type: array
          items:
            type: object
            required:
              - field
              - value
              - operator
            properties:
              field:
                type: string
                description: The name of the field. This is always paired with `value`.
                example: storeId
              value:
                description: >-
                  The value or values corresponding to the `field` parameter.
                  The `field` parameter defines the name of the field, and the
                  `value` parameter provides the corresponding value. For
                  example, if the `field` parameter is `priceListIds`, the
                  corresponding `value` parameter must be an array.
                oneOf:
                  - type: string
                    minLength: 1
                    maxLength: 120
                    example: store001
                  - type: array
                    minItems: 1
                    maxItems: 200
                    items:
                      oneOf:
                        - type: string
                          description: >-
                            The values corresponding to the `field`. The `field`
                            parameter defines the name of the field, and the
                            `value` parameter provides the corresponding value.
                            For example, if the `field` parameter is
                            `priceListIds`, the corresponding `value` parameter
                            must be an array.
                          example: 60ec76eee1f1dc1234567890
                        - type: number
                          description: >-
                            The values corresponding to the `field`. The `field`
                            parameter defines the name of the field, and the
                            `value` parameter provides the corresponding value.
                            For example, if the `field` parameter is
                            `priceListIds`, the corresponding `value` parameter
                            must be an array.
                          example: 100000
              operator:
                type: string
                description: Operator between `field` and `value` to filter data.
                example: EQUAL
    exportNotFoundError:
      type: object
      description: Export not found error.
      properties:
        code:
          description: The error code.
          type: string
          example: EXPORT_NOT_FOUND
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: The export ID you entered doesn’t exist.
    error400:
      type: object
      properties:
        code:
          description: The error code.
          type: string
          example: BAD_REQUEST
        message:
          description: An error message coressponding to the `code`.
          type: string
          example: Bad Request
    error401:
      type: object
      description: Unauthorized error
      properties:
        code:
          description: The error code.
          type: string
          example: UNAUTHORIZED
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Invalid credentials
    error500:
      type: object
      properties:
        code:
          description: The error code.
          type: string
          example: INTERNAL_SERVER_ERROR
        message:
          description: An error message coressponding to the `code`.
          type: string
          example: Internal server error.
  securitySchemes:
    AuthorizationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````